package com.xingxi.business.ExpressInfo.mapper;

import com.xingxi.business.ExpressInfo.domain.ExpressInfo;

import java.util.List;

/**
 * 快递信息Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface ExpressInfoMapper {
    /**
     * 查询快递信息
     *
     * @param expressInfoId 快递信息主键
     * @return 快递信息
     */
    ExpressInfo selectExpressInfoByExpressInfoId(Long expressInfoId);

    /**
     * 查询快递信息列表
     *
     * @param expressInfo 快递信息
     * @return 快递信息集合
     */
    List<ExpressInfo> selectExpressInfoList(ExpressInfo expressInfo);

    /**
     * 新增快递信息
     *
     * @param expressInfo 快递信息
     * @return 结果
     */
    int insertExpressInfo(ExpressInfo expressInfo);

    /**
     * 批量新增快递信息
     *
     * @param expressInfoList 快递信息
     * @return 结果
     */
    int batchInsertExpressInfo(List<ExpressInfo> expressInfoList);

    /**
     * 修改快递信息
     *
     * @param expressInfo 快递信息
     * @return 结果
     */
    int updateExpressInfo(ExpressInfo expressInfo);

    /**
     * 删除快递信息
     *
     * @param expressInfoId 快递信息主键
     * @return 结果
     */
    int deleteExpressInfoByExpressInfoId(Long expressInfoId);

    /**
     * 批量删除快递信息
     *
     * @param expressInfoIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteExpressInfoByExpressInfoIds(String[] expressInfoIds);


    /**
     * 逻辑删除快递信息
     *
     * @param expressInfoId 快递信息主键
     * @return 结果
     */
    int logicDeleteExpressInfoByExpressInfoId(Long expressInfoId);

    /**
     * 逻辑批量删除快递信息
     *
     * @param expressInfoIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteExpressInfoByExpressInfoIds(String[] expressInfoIds);

    /**
     * 逻辑批量删除快递信息
     *
     * @param expressInfo 快递信息
     * @return 结果
     */
    int logicDeleteExpressInfoByCondition(ExpressInfo expressInfo);

}
